<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../include/assets.jsp"></jsp:include>
</head>

<body>
<div id="wrapper">
    <jsp:include page="../include/menu.jsp"></jsp:include>
    <div id="page-wrapper" class="gray-bg">
        <jsp:include page="../include/nav.jsp"></jsp:include>
        <div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-10">
                <h2>结果导出</h2>
                <ol class="breadcrumb">
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">首页</a>
                    </li>
                    <li>
                        <a href="javascript:void(0);" style="cursor:default">系统配置</a>
                    </li>
                    <li class="active">
                        <strong>结果导出</strong>
                    </li>
                </ol>
            </div>
            <div class="col-lg-2">
            </div>
        </div>
        <!-- 主内容 -->
        <div class="wrapper wrapper-content animated fadeInRight">
            <div class="row">
                <div class="col-sm-12" style="text-align: center">
                    <a target="_blank" href="<c:url value="/business/activity/exportactivity"></c:url>" class="btn btn-primary btn-lg" role="button">导出审批结果文件</a>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12" style="text-align: center">
                    当前可导出活动审批结果为<span style="color:red;font-weight: bold">${needSyncActivity}</span>条。
                    <br/>
                </div>
            </div>

            <div class="ibox-title">
                <h5>可导出的活动数据</h5>
            </div>

            <div class="ibox-content">
                <table id="dynamic-table" class="table table-striped table-bordered table-hover dataTables-example" >
                    <thead>
                    <tr>
                        <th>活动名称</th>
                        <th>审批状态</th>
                    </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>


        </div>
        <jsp:include page="../include/footer.jsp"></jsp:include>
    </div>
</div>

<jsp:include page="../include/scripts.jsp"></jsp:include>

<script type="text/javascript">
    $(document).ready(function(){
        oTable = $('#dynamic-table')
            .dataTable({
                "bAutoWidth": false,
                "bFilter": false,
                "bDestroy":true,
                "bServerSide":true,
                "bPaginate":true,
                "bLengthChange":false,
                "sAjaxSource": "<c:url value='/business/activity/syncData'/>",
                "sAjaxDataProp": "data",
                "aLengthMenu": [100],
                "aoColumns": [
                    { "mDataProp": "fullName","sClass":"","bSortable": false},
                    { "mDataProp": "approveStatus","sClass":"","bSortable": false}
                ],
                "fnServerParams" : function (aoData) {
                    rowNum = 0;
                },
                "fnDrawCallback": function(data) {
                    $("td").tooltip({
                        selector: "[data-toggle=tooltip]",
                        container: "body"
                    });
                },
                "aoColumnDefs": [
                    {"aTargets":[0],
                        "mRender":function(tar,type,data){
                            return data.fullName;
                        }
                    },
                    {"aTargets":[1],
                        "mRender":function(tar,type,data){
                            return data.approveStatusStr;
                        }
                    }
                ],
                "oLanguage": {
                    "sProcessing":   "处理中...",
                    "sLengthMenu":   "显示_MENU_ 项结果",
                    "sZeroRecords":  "没有匹配结果",
                    "sInfo":         " _START_ - _END_条记录，共_TOTAL_条",
                    "sInfoEmpty":    "没有匹配结果",
                    "sInfoFiltered": "(由_MAX_项结果过滤)",
                    "sSearch":       "搜索:",
                    "oPaginate": {
                        "sFirst": "首页",
                        "sPrevious": "上页",
                        "sNext": "下页",
                        "sLast": "末页"
                    }
                }
            }).on('xhr.dt', function (e, settings, json) {
            } );
    });
</script>

</body>
</html>